Bug 837048 - irqbalance ONESHOT configuration not implemented properly
irqbalance ONESHOT configuration not implemented properly
Product: Fedora
Classification: Fedora
Component: irqbalance (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Holasek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-02 11:22 EDT by Andrew J. Schorr
Modified: 2016-10-04 00:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-17 19:54:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew J. Schorr 2012-07-02 11:22:13 EDT
Description of problem:  When irqbalance was converted to systemd, the ONESHOT
configuration variable was not converted properly.  In /etc/sysconfig/irqbalance,
it suggests setting ONESHOT to yes to enable that feature.  But
the /lib/systemd/system/irqbalance.service file simply passes this argument
to irqbalance, which will not understand an argument of "yes".  

Version-Release number of selected component (if applicable):

How reproducible: Try setting ONESHOT to yes in /etc/sysconfig/irqbalance

Steps to Reproduce:
1. Look at /etc/sysconfig/irqbalance and /lib/systemd/system/irqbalance.service and observe that ONESHOT is not implemented properly.
Actual results:

Expected results:

Additional info:  The simplest fix is probably to edit /etc/sysconfig/irqbalance to suggest setting ONESHOT to --oneshot if that behavior
is desired.
Comment 1 Neil Horman 2012-07-04 13:17:31 EDT
yup, Andrew is correct.  That should definately be fixed.  I'd recommend however, instead of using the --oneshot mechanism, we convert the sysconfig file to set IRQBALANCE_ONESHOT, and just remove the $ONESHOT from the unit file.
Comment 2 Andrew J. Schorr 2012-07-04 13:31:30 EDT
Hi Neil,

Since it may be desirable to pass other arguments to irqbalance,
such as --powerthresh=1 or --shouldban=/usr/sbin/irqban.sh, would it make
sense simply to have IRQBALANCE_ARGS in the sysconfig and systemd files?

Also, I think IRQ_AFFINITY_MASK is obsolete.

Comment 3 Neil Horman 2012-07-04 19:28:51 EDT
Yes, it would make sense to have an IRQBALANCE_ARGS environment variable that we can use to pass args to the daemon, I'll add that upstream, and petr can pull it in here (right after I finish with the banscript work, which I hope should be tomorrow).  

And yes, IRQ_AFFINTY_MASK is obsolete.  Its been removed from upstream for some time now, and should be removed in fedora.  Petr, can you square that up please?
Comment 4 Petr Holasek 2012-07-09 13:46:27 EDT
Ok, I will sync it with upstream in the next release during this week.
Comment 5 Fedora Update System 2012-08-23 10:12:23 EDT
irqbalance-1.0.3-6.fc18 has been submitted as an update for Fedora 18.
Comment 6 Fedora Update System 2012-08-23 11:37:56 EDT
Package irqbalance-1.0.3-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing irqbalance-1.0.3-6.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-29 11:06:48 EDT
irqbalance-1.0.3-7.fc18 has been submitted as an update for Fedora 18.
Comment 8 Fedora Update System 2012-09-03 07:26:35 EDT
irqbalance-1.0.3-8.fc18 has been submitted as an update for Fedora 18.
Comment 9 Fedora Update System 2012-09-17 19:54:36 EDT
irqbalance-1.0.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.